Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Testing and Deployment

Reply
New Developer
ericcwhung
Posts: 22
Registered: ‎03-24-2010
My Device: Storm

BlackBerry JRE6.0.0 issue with Eclipse

Dear all,

I have been struggling a couple of days trying to upgrade to SDK 6.0 but have no success.

The PC configuration is:

Win XP

Eclipse SDK 3.5.2 classic

BlackBerry plug-in 1.1.2.201004161203-16

From Installed JRE :

BlackBerry JRE 5.0.0 version   5.0.0.25

Java JRE 6

jdk1.6.0_16

jdk1.6.0_17

compenents  (this is the problem, should be Blackberry JRE 6.0.0 version 6.0.0.29 ????)

 

When I checked the instatlled plug-in details from Eclipse, it shows the BlackBerry JAVA SDK 6.0.0 have been installed successfully.

 

 

Eclipse don't recognise Blackberry JRE 6.0.0 and just list as compenents. Please advise how to fix this issue.

 

Thanks a lot

BlackBerry Development Advisor
MSohm
Posts: 14,753
Registered: ‎07-09-2008
My Device: BlackBerry Passport

Re: BlackBerry JRE6.0.0 issue with Eclipse

Did you see any errors when installing from the update site?  Were you logged in as an administrator when your performed the update?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
New Developer
ericcwhung
Posts: 22
Registered: ‎03-24-2010
My Device: Storm

Re: BlackBerry JRE6.0.0 issue with Eclipse

[ Edited ]

I am using administrator account.

 

Update site: http://www.blackberry.com/go/eclipseUpdate/3.5/java

 

I did receive error.

 

"File Transport Reader" has encountered a problem:

Transfer Exception - Read Timed out

 

After pressing Ok button, the install process still goes on...and finished, but did not recognized JRE 6.0.0 at all.

 

An error occurred while collecting items to be installed
  session context was:smileysad:profile=epp.package.java, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Collect, operand=, action=).
  Unable to read repository at
http://downloads.blackberry.com/upr/developers/javadev/net.rim.ejde.componentpack6.0.0_6.0.0.29.jar.
  Read timed out

BlackBerry Development Advisor
MSohm
Posts: 14,753
Registered: ‎07-09-2008
My Device: BlackBerry Passport

Re: BlackBerry JRE6.0.0 issue with Eclipse

Your connection to the update site timed out while downloading the required files, which means the install wouldn't have completed successfully.  Have you tried to update again?  Do you get this error every time?

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Trusted Contributor
avi_yach
Posts: 184
Registered: ‎11-26-2010
My Device: Not Specified

Re: BlackBerry JRE6.0.0 issue with Eclipse

i am facing the same error from the past few days..timed out..can any one help me out??